Type to search.

Create an entity

Base URL
https://{kibana_url}
Auth

Create a new entity record in the Entity Store for the specified entity type.

Required privileges

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

entityType enum required

The entity type to create.

Values: user host service generic

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:
@timestamp string · format: date-time · max length: 64

The time the entity record was last updated.

labels map string to object

Custom key-value labels attached to the entity.

tags string[]

Tags attached to the entity.

Responses

200

Indicates the entity was successfully created.

application/json
400

Bad request.

application/json
409

Conflict.

application/json